clang-tools 6.0.0

Namespaces | Functions
MoveForwardingReferenceCheck.cpp File Reference
`#include "MoveForwardingReferenceCheck.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
Include dependency graph for MoveForwardingReferenceCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static void | clang::tidy::bugprone::replaceMoveWithForward (const UnresolvedLookupExpr *Callee, const ParmVarDecl *ParmVar, const TemplateTypeParmDecl *TypeParmDecl, DiagnosticBuilder &Diag, const ASTContext &Context)